### Enumeration

# GLib HookFlagMask

since: 2.0

#### Declaration

    flags GLib.HookFlagMask

#### Description

Flags used internally in the `GHook` implementation.

Available since: 2.0

#### Members

`G_HOOK_FLAG_ACTIVE`

  Set if the hook has not been destroyed.

  - Value: `1`
  - Nickname: `None`
  - Available since: 2.0
`G_HOOK_FLAG_IN_CALL`

  Set if the hook is currently being run.

  - Value: `2`
  - Nickname: `None`
  - Available since: 2.0
`G_HOOK_FLAG_MASK`

  A mask covering all bits reserved for hook flags; see `G_HOOK_FLAG_USER_SHIFT`.

  - Value: `15`
  - Nickname: `None`
  - Available since: 2.0